using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Ewide.Application.Service
{
    public interface IInspectionOrgService
    {
        public Task<string> NewCode();
        public Task<InspectionRegisterStatusOutput> RegisterStatus();
        public Task Register(InspectionOrgRegisterInput input);
        public Task Update(InspectionOrgRegisterInput input);
        public Task<InspectionOrgDetailOutput> Detail(InspectionOrgKeyInput input);
        public Task<dynamic> ReviewPage(InspectionOrgPageInput input);
        public Task<dynamic> ReviewUpdatePage(InspectionOrgPageInput input);
        public Task ReviewApproved(InspectionOrgKeyRequiredInput input);
        public Task ReviewNotApproved(InspectionOrgReviewNotApprovedInput input);
        public Task<dynamic> History(InspectionOrgKeyRequiredInput input);
    }
}
